SignerLocation (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.esf

## Class SignerLocation

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.SignerLocation

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SignerLocation
      extends ASN1Object

  Signer-Location attribute (RFC3126).

         SignerLocation ::= SEQUENCE {
             countryName        [0] DirectoryString OPTIONAL,
             localityName       [1] DirectoryString OPTIONAL,
             postalAddress      [2] PostalAddress OPTIONAL }

         PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerLocation(DERUTF8String countryName, DERUTF8String localityName, ASN1Sequence postalAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DERUTF8String` | `getCountryName()`
    `static SignerLocation` | `getInstance(java.lang.Object obj)`
    `DERUTF8String` | `getLocalityName()`
    `ASN1Sequence` | `getPostalAddress()`
    `ASN1Primitive` | `toASN1Primitive()` SignerLocation ::= SEQUENCE { countryName [0] DirectoryString OPTIONAL, localityName [1] DirectoryString OPTIONAL, postalAddress [2] PostalAddress OPTIONAL } PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString DirectoryString ::= CHOICE { teletexString TeletexString (SIZE (1..MAX)), printableString PrintableString (SIZE (1..MAX)), universalString UniversalString (SIZE (1..MAX)), utf8String UTF8String (SIZE (1..

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignerLocation

          public SignerLocation(DERUTF8String countryName,
                        DERUTF8String localityName,
                        ASN1Sequence postalAddress)

  - ### Method Detail

    - #### getInstance

          public static SignerLocation getInstance(java.lang.Object obj)

    - #### getCountryName

          public DERUTF8String getCountryName()

    - #### getLocalityName

          public DERUTF8String getLocalityName()

    - #### getPostalAddress

          public ASN1Sequence getPostalAddress()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

             SignerLocation ::= SEQUENCE {
                 countryName        [0] DirectoryString OPTIONAL,
                 localityName       [1] DirectoryString OPTIONAL,
                 postalAddress      [2] PostalAddress OPTIONAL }

             PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString

             DirectoryString ::= CHOICE {
                   teletexString           TeletexString (SIZE (1..MAX)),
                   printableString         PrintableString (SIZE (1..MAX)),
                   universalString         UniversalString (SIZE (1..MAX)),
                   utf8String              UTF8String (SIZE (1.. MAX)),
                   bmpString               BMPString (SIZE (1..MAX)) }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.